package com.zjsgfa.project.zjsgfa.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zjsgfa.framework.aspectj.lang.annotation.Excel;
import com.zjsgfa.framework.web.domain.BaseEntity;

/**
 * 设计-钻具参数信息对象 sj_zjcsxx
 * 
 * @author
 * @date 2025-08-18
 */
@Data
public class SjZjcsxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 井号 */
    @Excel(name = "井号")
    private String jh;

    /** 开次 */
    @Excel(name = "开次")
    private String kc;

    /** 井段 */
    @Excel(name = "井段")
    private String jd;

    /** 钻头型号 */
    @Excel(name = "钻头型号")
    private String ztxh;

    /** 厂家 */
    @Excel(name = "厂家")
    private String cj;

    /** 尺寸 */
    @Excel(name = "尺寸")
    private String cc;

    /** 水眼 */
    @Excel(name = "水眼")
    private String sy;

    /** 压降 */
    @Excel(name = "压降")
    private String yj;

    /** 钻井液密度 */
    @Excel(name = "钻井液密度")
    private String zjymd;

    /** 钻进钻压 */
    @Excel(name = "钻进钻压")
    private String zjzy;

    private String zjzysx;

    /** 钻进转速 */
    @Excel(name = "钻进转速")
    private String zjzs;

    private String zjzssx;

    /** 批量 */
    @Excel(name = "批量")
    private String zjpl;

    private String zjplsx;

    /** 泵压 */
    @Excel(name = "泵压")
    private String zjby;
    private String zjbysx;

    /** 缸套直径 */
    @Excel(name = "缸套直径")
    private String gtzj;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setJh(String jh) 
    {
        this.jh = jh;
    }

    public String getJh() 
    {
        return jh;
    }

    public void setKc(String kc) 
    {
        this.kc = kc;
    }

    public String getKc() 
    {
        return kc;
    }

    public void setJd(String jd) 
    {
        this.jd = jd;
    }

    public String getJd() 
    {
        return jd;
    }

    public void setZtxh(String ztxh) 
    {
        this.ztxh = ztxh;
    }

    public String getZtxh() 
    {
        return ztxh;
    }

    public void setCj(String cj) 
    {
        this.cj = cj;
    }

    public String getCj() 
    {
        return cj;
    }

    public void setCc(String cc) 
    {
        this.cc = cc;
    }

    public String getCc() 
    {
        return cc;
    }

    public void setSy(String sy) 
    {
        this.sy = sy;
    }

    public String getSy() 
    {
        return sy;
    }

    public void setYj(String yj) 
    {
        this.yj = yj;
    }

    public String getYj() 
    {
        return yj;
    }

    public void setZjymd(String zjymd) 
    {
        this.zjymd = zjymd;
    }

    public String getZjymd() 
    {
        return zjymd;
    }

    public void setZjzy(String zjzy) 
    {
        this.zjzy = zjzy;
    }

    public String getZjzy() 
    {
        return zjzy;
    }

    public void setZjzs(String zjzs) 
    {
        this.zjzs = zjzs;
    }

    public String getZjzs() 
    {
        return zjzs;
    }

    public void setZjpl(String zjpl) 
    {
        this.zjpl = zjpl;
    }

    public String getZjpl() 
    {
        return zjpl;
    }

    public void setZjby(String zjby) 
    {
        this.zjby = zjby;
    }

    public String getZjby() 
    {
        return zjby;
    }

    public void setGtzj(String gtzj) 
    {
        this.gtzj = gtzj;
    }

    public String getGtzj() 
    {
        return gtzj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jh", getJh())
            .append("kc", getKc())
            .append("jd", getJd())
            .append("ztxh", getZtxh())
            .append("cj", getCj())
            .append("cc", getCc())
            .append("sy", getSy())
            .append("yj", getYj())
            .append("zjymd", getZjymd())
            .append("zjzy", getZjzy())
            .append("zjzs", getZjzs())
            .append("zjpl", getZjpl())
            .append("zjby", getZjby())
            .append("gtzj", getGtzj())
            .toString();
    }
}
